Método Add() em pyautocad

colorful toothed wheels

Nesta postagem do blog, discutirei um dos métodos mais importantes no pyautocad, ou seja, Add(). Este método abre portas para a criação de vários objetos baseados em documentos de acordo com o modelo de objetos do AutoCAD. Para uma documentação mais abrangente sobre pyautocad, refiro-me aos meus outros exemplos de pyautocad. Em artigos anteriores, abordei o método Intersect() em pyautocad, bem como objetos de imagem raster do AutoCAD, objetos de malha 3D, exclusão de objetos com pyautocad, pyautocad para operações básicas do AutoCAD etc.

Uso básico do método Add() em pyautocad

O método pyautocad Add() cria objetos membros e os adiciona ao nosso documento. Nesta seção em particular, discutirei a sintaxe muito básica que pode ser usada para criar objetos dessa maneira. Isso é verdade para os seguintes tipos/grupos de objetos:

  • Dicionários
  • Estilos de dim
  • Documentos
  • Grupos
  • Camadas
  • Layouts
  • Tipos de linha
  • Materiais
  • Menus pop-up
  • Aplicativos registrados
  • Conjuntos de seleção
  • Estilos de texto
  • Barras de ferramentas
  • Visualizações
  • Janelas de visualização

A sintaxe para criar esses objetos é muito simples:

object.Add(Name)

Por exemplo, se quisermos criar uma nova camada, usarei a seguinte sintaxe:

acad.doc.Layers.Add(layer_name)

O mesmo conceito funciona para todos os outros tipos de objetos contidos na lista de tipos de objetos acima.

Aplicando o método pyautocad Add() para criar um bloco

Às vezes precisamos trabalhar com vários objetos, tratando-os como uma única unidade. Nesses casos, usamos blocos.

A sintaxe pyautocad para criar um bloco no AutoCAD é a seguinte.

object.Add(Insertion_Point, Block_Name)

Depois de criar um bloco, podemos salvar o mesmo em uma variável e adicionar geometrias diferentes usando os métodos que discuti em meus posts anteriores.

b1 = acad.doc.Blocks.Add(ip, "Test_block_1")

l1 = b1.AddLine(APoint(100, 100, 0), APoint(350, 350, 0))
c1 = b1.AddCircle(APoint(200, 250, 0), 150)

Agora o bloco AutoCAD é criado como parte do documento.

Mas ainda assim, ainda não é visível no espaço do modelo. Para usar o bloco, devo inserir o bloco recém-criado no espaço do modelo. Eu posso fazer isso usando o método pyautocad InsertBlock().

A sintaxe pyautocad para aplicar o método InsertBlock() é mostrada abaixo:

object.InsertBlock(InsertionPoint, Name , Xscale , Yscale , ZScale , Rotation , Password)

e.g.
acad.model.InsertBlock(APoint(250, 500, 0), "Test_block_1", 1, 1, 1, 0)

Eu posso ver que o bloco foi inserido com sucesso no espaço do modelo.

Observações finais

Para mais postagens de blog sobre a automatização do AutoCAD, verifique minhas outras postagens de blog relacionadas ao pyautocad e ao pywin32. Por favor, deixe qualquer dúvida que você possa ter como um comentário abaixo. Sinta-se à vontade para entrar em contato comigo para qualquer assistência técnica. Você pode fazê-lo através do nosso formulário de contacto.

Leave a Reply

Deixe um comentário

O seu endereço de e-mail não será publicado.

Esse site utiliza o Akismet para reduzir spam. Aprenda como seus dados de comentários são processados.

Close

Meta